using System;
using System.Data.Odbc;

namespace AdoExample
{
	/// <summary>
	/// Summary description for ExampleInfoHandler.
	/// </summary>
	public class ExampleErrorHelper
	{
		public void HandleInfoEvents(object sender, OdbcInfoMessageEventArgs e)
		{
			Console.WriteLine("A event was thrown");
			foreach(OdbcError oEvent in e.Errors)
			{
				Console.WriteLine("Errors: " + oEvent.Message);
				Console.WriteLine("SQLState: " + oEvent.SQLState);
				Console.WriteLine("Native: " + oEvent.NativeError);
			}
		}

		public void ShowExceptions(OdbcException oe)
		{
			foreach(OdbcError oErr in oe.Errors)
			{
				Console.WriteLine("Message: " + oErr.Message);
				Console.WriteLine("Native error: " + oErr.NativeError);
				Console.WriteLine("SQLState: " + oErr.SQLState);
				Console.WriteLine("Source: " + oErr.Source);
			}
		}
	}
}
