using System;
using System.Data.Odbc;
namespace AdoExample
{
	/// <summary>
	/// A small example of using Select in Ado.net. This example uses direct database operations through OdbcConnection,
	/// OdbcCommand and OdbcDataReader
	/// </summary>
	public class SelectExample
	{
		private OdbcConnection con;
		private ExampleErrorHelper eeh;
		public SelectExample()
		{
			eeh = new ExampleErrorHelper();
		}
		/// <summary>
		/// Get all books from the example database in Mimer SQL
		/// </summary>
		public void selectBooks()
		{
			OdbcCommand command;
			OdbcDataReader reader;
			string sql ="select isbn, authors_list as authos, product as title from ";
			sql += " book_titles join items using(item_id) join products using(product_id)";
			try
			{
				Console.WriteLine("Fetching all books");
				con = new OdbcConnection("DRIVER=Mimer;UID=MIMER_STORE;PWD=store;wrong_arg=ooops;DATABASE=multi1"); 
				con.InfoMessage += new OdbcInfoMessageEventHandler(eeh.HandleInfoEvents);
				con.Open();
				command = new OdbcCommand(sql, con);
				reader = command.ExecuteReader();
				Console.WriteLine("ISBN\tAuthor\tTitle");
				int cnt = 0;
				while(reader.Read() && cnt < 10)
				{
					cnt++;
					Console.Write(reader.GetString(0) + "\t");
					Console.Write(reader.GetString(1) + "\t");
					Console.WriteLine(reader.GetString(2));
				}
				
				reader.Close();
				con.Close();
			}
			catch(OdbcException oe)
			{
				eeh.ShowExceptions(oe);
			}
		}

	}
}
